version: '3.7'

services:
  api:
    build:
      context: .
      args:
        port: 4010
        cache_url: mongodb://cache:27017/test
        broker_url: nats://broker:4222
        broker_cluster: test-cluster 
        broker_client_id: user_api
    ports:
      - 4010:4010
    volumes:
      - deps:/usr/src/app/node_modules
      - ./:/usr/src/app
    depends_on:
      - broker
      - cache

  cache:
    image: jooaodanieel/mongo-enterprise:4.0
    command: --storageEngine inMemory --dbpath /data/db

  broker:
    image: nats-streaming:0.14.1-linux

volumes:
  deps:
